Skip to main content
DELETE
/
v0
/
resources
/
{resource_type}
/
{resource_id}
/
access
curl --request DELETE \
  --url 'https://api.unify.ai/v0/resources/<resource_type>/<resource_id>/access' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{}'
// No Content
Revoke access to a resource (project). User must have appropriate permissions on the resource. Note: For org-level permissions, use OrganizationMember roles instead. :param request_fastapi: FastAPI request object. :param resource_type: Type of resource (“project”). :param resource_id: Resource ID. :param access_data: Access revoke data. :param session: Database session.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_type
string
required
resource_id
integer
required

Body

grantee_type
string
required
grantee_id
string
required
role_id
integer | null
curl --request DELETE \
  --url 'https://api.unify.ai/v0/resources/<resource_type>/<resource_id>/access' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{}'
// No Content